Value Tracker
Use the endpoints described below to manage Value Trackers, as well as add comments and host discussions.
Operation path: POST /api/v2/comments/
Authentication requirements: BearerAuth
Post a comment.
Body parameter
{
"properties": {
"content": {
"description": "Content of the comment, 10000 symbols max",
"maxLength": 10000,
"type": "string"
},
"entityId": {
"description": "ID of the entity to post the comment to",
"type": "string"
},
"entityType": {
"description": "Type of the entity to post the comment to, currently only useCase is supported",
"enum": [
"useCase",
"model",
"catalog",
"experimentContainer",
"deployment",
"workloadDeployment"
],
"type": "string"
},
"mentions": {
"description": "A list of users IDs mentioned in the content",
"items": {
"type": "string"
},
"maxItems": 100,
"type": "array"
}
},
"required": [
"content",
"entityId",
"entityType"
],
"type": "object"
}
| Name |
In |
Type |
Required |
Description |
| body |
body |
Comment |
false |
none |
Example responses
200 Response
{
"properties": {
"content": {
"description": "Content of the comment",
"type": "string"
},
"createdAt": {
"description": "Timestamp when the comment was created",
"type": "string"
},
"createdBy": {
"description": "User object with information about the commenter",
"properties": {
"firstName": {
"description": "First name of the commenter",
"type": "string"
},
"id": {
"description": "User ID of the commenter",
"type": "string"
},
"lastName": {
"description": "Last name of the commenter",
"type": "string"
},
"username": {
"description": "Username of the commenter",
"type": "string"
}
},
"required": [
"firstName",
"id",
"lastName",
"username"
],
"type": "object"
},
"entityId": {
"description": "ID of the entity the comment posted to",
"type": "string"
},
"entityType": {
"description": "Type of the entity to post the comment to, currently only useCase is supported",
"enum": [
"useCase",
"model",
"catalog",
"experimentContainer",
"deployment",
"workloadDeployment"
],
"type": "string"
},
"id": {
"description": "ID of the comment",
"type": "string"
},
"mentions": {
"description": "A list of users objects (see below) mentioned in the content",
"items": {
"description": "User object with information about the commenter",
"properties": {
"firstName": {
"description": "First name of the commenter",
"type": "string"
},
"id": {
"description": "User ID of the commenter",
"type": "string"
},
"lastName": {
"description": "Last name of the commenter",
"type": "string"
},
"username": {
"description": "Username of the commenter",
"type": "string"
}
},
"required": [
"firstName",
"id",
"lastName",
"username"
],
"type": "object"
},
"type": "array"
},
"readonly": {
"description": "If True, the comment cannot be updated or deleted, False otherwise",
"type": "boolean",
"x-versionadded": "v2.38"
},
"updatedAt": {
"description": "Timestamp when the comment was updated",
"type": "string"
}
},
"required": [
"content",
"createdAt",
"createdBy",
"entityId",
"entityType",
"id",
"mentions",
"readonly",
"updatedAt"
],
"type": "object"
}
Responses
Operation path: DELETE /api/v2/comments/{commentId}/
Authentication requirements: BearerAuth
Delete a comment.
| Name |
In |
Type |
Required |
Description |
| commentId |
path |
string |
true |
The ID of the comment |
Responses
| Status |
Meaning |
Description |
Schema |
| 200 |
OK |
none |
None |
| 204 |
No Content |
The use case comment was deleted |
None |
Operation path: GET /api/v2/comments/{commentId}/
Authentication requirements: BearerAuth
Retrieve a comment.
| Name |
In |
Type |
Required |
Description |
| commentId |
path |
string |
true |
The ID of the comment |
Example responses
200 Response
{
"properties": {
"content": {
"description": "Content of the comment",
"type": "string"
},
"createdAt": {
"description": "Timestamp when the comment was created",
"type": "string"
},
"createdBy": {
"description": "User object with information about the commenter",
"properties": {
"firstName": {
"description": "First name of the commenter",
"type": "string"
},
"id": {
"description": "User ID of the commenter",
"type": "string"
},
"lastName": {
"description": "Last name of the commenter",
"type": "string"
},
"username": {
"description": "Username of the commenter",
"type": "string"
}
},
"required": [
"firstName",
"id",
"lastName",
"username"
],
"type": "object"
},
"entityId": {
"description": "ID of the entity the comment posted to",
"type": "string"
},
"entityType": {
"description": "Type of the entity to post the comment to, currently only useCase is supported",
"enum": [
"useCase",
"model",
"catalog",
"experimentContainer",
"deployment",
"workloadDeployment"
],
"type": "string"
},
"id": {
"description": "ID of the comment",
"type": "string"
},
"mentions": {
"description": "A list of users objects (see below) mentioned in the content",
"items": {
"description": "User object with information about the commenter",
"properties": {
"firstName": {
"description": "First name of the commenter",
"type": "string"
},
"id": {
"description": "User ID of the commenter",
"type": "string"
},
"lastName": {
"description": "Last name of the commenter",
"type": "string"
},
"username": {
"description": "Username of the commenter",
"type": "string"
}
},
"required": [
"firstName",
"id",
"lastName",
"username"
],
"type": "object"
},
"type": "array"
},
"readonly": {
"description": "If True, the comment cannot be updated or deleted, False otherwise",
"type": "boolean",
"x-versionadded": "v2.38"
},
"updatedAt": {
"description": "Timestamp when the comment was updated",
"type": "string"
}
},
"required": [
"content",
"createdAt",
"createdBy",
"entityId",
"entityType",
"id",
"mentions",
"readonly",
"updatedAt"
],
"type": "object"
}
Responses
Operation path: PATCH /api/v2/comments/{commentId}/
Authentication requirements: BearerAuth
Update a comment.
Body parameter
{
"properties": {
"content": {
"description": "Updated content of the comment, 10000 symbols max",
"maxLength": 10000,
"type": "string"
},
"mentions": {
"description": "A list of users IDs mentioned in the content",
"items": {
"type": "string"
},
"maxItems": 100,
"type": "array"
}
},
"required": [
"content"
],
"type": "object"
}
| Name |
In |
Type |
Required |
Description |
| commentId |
path |
string |
true |
The ID of the comment |
| body |
body |
CommentUpdate |
false |
none |
Responses
| Status |
Meaning |
Description |
Schema |
| 200 |
OK |
none |
None |
| 204 |
No Content |
The comment was successfully updated |
None |
| 422 |
Unprocessable Entity |
The request was formatted improperly |
None |
Operation path: GET /api/v2/comments/{entityType}/{entityId}/
Authentication requirements: BearerAuth
List comments.
| Name |
In |
Type |
Required |
Description |
| offset |
query |
integer |
false |
The number of records to skip over. Default 0. |
| limit |
query |
integer |
false |
The number of records to return in the range from 1 to 100. Default 100. |
| orderBy |
query |
string |
false |
Sort comments by a field of the comment. |
| entityId |
path |
string |
true |
ID of the entity to retrieve comments of |
| entityType |
path |
string |
true |
Type of the entity to retrieve a comments of, currently only useCase is supported |
Enumerated Values
| Parameter |
Value |
| orderBy |
[createdAt, -createdAt, updatedAt, -updatedAt] |
| entityType |
[useCase, model, catalog, experimentContainer, deployment, workloadDeployment] |
Example responses
200 Response
{
"properties": {
"count": {
"description": "The number of items returned on this page.",
"type": "integer"
},
"data": {
"description": "A list of comments",
"items": {
"properties": {
"content": {
"description": "Content of the comment",
"type": "string"
},
"createdAt": {
"description": "Timestamp when the comment was created",
"type": "string"
},
"createdBy": {
"description": "User object with information about the commenter",
"properties": {
"firstName": {
"description": "First name of the commenter",
"type": "string"
},
"id": {
"description": "User ID of the commenter",
"type": "string"
},
"lastName": {
"description": "Last name of the commenter",
"type": "string"
},
"username": {
"description": "Username of the commenter",
"type": "string"
}
},
"required": [
"firstName",
"id",
"lastName",
"username"
],
"type": "object"
},
"entityId": {
"description": "ID of the entity the comment posted to",
"type": "string"
},
"entityType": {
"description": "Type of the entity to post the comment to, currently only useCase is supported",
"enum": [
"useCase",
"model",
"catalog",
"experimentContainer",
"deployment",
"workloadDeployment"
],
"type": "string"
},
"id": {
"description": "ID of the comment",
"type": "string"
},
"mentions": {
"description": "A list of users objects (see below) mentioned in the content",
"items": {
"description": "User object with information about the commenter",
"properties": {
"firstName": {
"description": "First name of the commenter",
"type": "string"
},
"id": {
"description": "User ID of the commenter",
"type": "string"
},
"lastName": {
"description": "Last name of the commenter",
"type": "string"
},
"username": {
"description": "Username of the commenter",
"type": "string"
}
},
"required": [
"firstName",
"id",
"lastName",
"username"
],
"type": "object"
},
"type": "array"
},
"readonly": {
"description": "If True, the comment cannot be updated or deleted, False otherwise",
"type": "boolean",
"x-versionadded": "v2.38"
},
"updatedAt": {
"description": "Timestamp when the comment was updated",
"type": "string"
}
},
"required": [
"content",
"createdAt",
"createdBy",
"entityId",
"entityType",
"id",
"mentions",
"readonly",
"updatedAt"
],
"type": "object"
},
"type": "array"
},
"next": {
"description": "The URL of the next page (if null, there is no next page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"previous": {
"description": "The URL of the previous page (if null, there is no previous page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"totalCount": {
"description": "The total number of items across all pages.",
"type": "integer"
}
},
"required": [
"data",
"next",
"previous",
"totalCount"
],
"type": "object"
}
Responses
List available value tracker templates
Operation path: GET /api/v2/valueTrackerValueTemplates/
Authentication requirements: BearerAuth
List available value tracker templates.
Example responses
200 Response
{
"items": {
"properties": {
"description": {
"description": "The description of the value template.",
"type": "string"
},
"schema": {
"description": "Schema definition of all template parameters",
"items": {
"properties": {
"parameterName": {
"description": "Name of the parameter",
"type": "string"
},
"schema": {
"description": "Schema entry defining the type and limits of a template parameter",
"properties": {
"elementType": {
"description": "Possible types used for template variables",
"enum": [
"integer",
"float",
"number"
],
"type": "string"
},
"label": {
"description": "Label describing the represented value",
"type": "string"
},
"maximum": {
"description": "Sets Maximum value if given",
"type": [
"integer",
"null"
]
},
"minimum": {
"description": "Sets Minimum value if given",
"type": [
"integer",
"null"
]
},
"placeholder": {
"description": "Text that can be used to prefill an input filed for the value",
"type": "string"
},
"unit": {
"description": "The unit type (e.g., %).",
"type": [
"string",
"null"
]
}
},
"required": [
"elementType",
"label",
"maximum",
"minimum",
"placeholder",
"unit"
],
"type": "object"
}
},
"required": [
"parameterName",
"schema"
],
"type": "object"
},
"type": "array"
},
"templateType": {
"description": "The name of the class ValueTracker value template to be retrieved",
"enum": [
"classification",
"regression"
],
"type": "string"
},
"title": {
"description": "The title of the value template.",
"type": "string"
}
},
"required": [
"description",
"schema",
"templateType",
"title"
],
"type": "object"
},
"type": "array"
}
Responses
| Status |
Meaning |
Description |
Schema |
| 200 |
OK |
none |
Inline |
Response Schema
Status Code 200
| Name |
Type |
Required |
Restrictions |
Description |
| anonymous |
[ValueTrackerValueTemplateResponse] |
false |
|
none |
| » description |
string |
true |
|
The description of the value template. |
| » schema |
[ValueTrackerValueTemplateParameterWithSchema] |
true |
|
Schema definition of all template parameters |
| »» parameterName |
string |
true |
|
Name of the parameter |
| »» schema |
ValueTrackerValueTemplateSchema |
true |
|
Schema entry defining the type and limits of a template parameter |
| »»» elementType |
string |
true |
|
Possible types used for template variables |
| »»» label |
string |
true |
|
Label describing the represented value |
| »»» maximum |
integer,null |
true |
|
Sets Maximum value if given |
| »»» minimum |
integer,null |
true |
|
Sets Minimum value if given |
| »»» placeholder |
string |
true |
|
Text that can be used to prefill an input filed for the value |
| »»» unit |
string,null |
true |
|
The unit type (e.g., %). |
| » templateType |
string |
true |
|
The name of the class ValueTracker value template to be retrieved |
| » title |
string |
true |
|
The title of the value template. |
Enumerated Values
| Property |
Value |
| elementType |
[integer, float, number] |
| templateType |
[classification, regression] |
Get an individual value tracker value template by its name by templatetype
Operation path: GET /api/v2/valueTrackerValueTemplates/{templateType}/
Authentication requirements: BearerAuth
Get an individual value tracker value template by its name.
Parameters
| Name |
In |
Type |
Required |
Description |
| templateType |
path |
string |
true |
The name of the class ValueTracker value template to be retrieved |
Enumerated Values
| Parameter |
Value |
| templateType |
[classification, regression] |
Example responses
200 Response
{
"properties": {
"description": {
"description": "The description of the value template.",
"type": "string"
},
"schema": {
"description": "Schema definition of all template parameters",
"items": {
"properties": {
"parameterName": {
"description": "Name of the parameter",
"type": "string"
},
"schema": {
"description": "Schema entry defining the type and limits of a template parameter",
"properties": {
"elementType": {
"description": "Possible types used for template variables",
"enum": [
"integer",
"float",
"number"
],
"type": "string"
},
"label": {
"description": "Label describing the represented value",
"type": "string"
},
"maximum": {
"description": "Sets Maximum value if given",
"type": [
"integer",
"null"
]
},
"minimum": {
"description": "Sets Minimum value if given",
"type": [
"integer",
"null"
]
},
"placeholder": {
"description": "Text that can be used to prefill an input filed for the value",
"type": "string"
},
"unit": {
"description": "The unit type (e.g., %).",
"type": [
"string",
"null"
]
}
},
"required": [
"elementType",
"label",
"maximum",
"minimum",
"placeholder",
"unit"
],
"type": "object"
}
},
"required": [
"parameterName",
"schema"
],
"type": "object"
},
"type": "array"
},
"templateType": {
"description": "The name of the class ValueTracker value template to be retrieved",
"enum": [
"classification",
"regression"
],
"type": "string"
},
"title": {
"description": "The title of the value template.",
"type": "string"
}
},
"required": [
"description",
"schema",
"templateType",
"title"
],
"type": "object"
}
Responses
Calculate the value of the template by templatetype
Operation path: GET /api/v2/valueTrackerValueTemplates/{templateType}/calculation/
Authentication requirements: BearerAuth
Calculate the value of the template with the given template parameters.
Parameters
| Name |
In |
Type |
Required |
Description |
| accuracyImprovement |
query |
number |
true |
Accuracy improvement |
| decisionsCount |
query |
integer |
true |
Estimated number of decisions per year |
| incorrectDecisionsCount |
query |
integer |
false |
Estimated number of incorrect decisions per year. Required for templateType CLASSIFICATION |
| incorrectDecisionCost |
query |
number |
false |
Estimated cost of an individual incorrect decision. Required for templateType CLASSIFICATION |
| targetValue |
query |
number |
false |
Target value. Required for templateType REGRESSION |
| templateType |
path |
string |
true |
The name of the class ValueTracker value template to be retrieved |
Enumerated Values
| Parameter |
Value |
| templateType |
[classification, regression] |
Example responses
200 Response
{
"properties": {
"averageValuePerDecision": {
"description": "Estimated average value per decision",
"type": "number"
},
"savedAnnually": {
"description": "Estimated amount saved annually",
"type": "number"
},
"template": {
"description": "Template type and data used for calculating the result",
"properties": {
"data": {
"description": "Data used for calculating the result",
"oneOf": [
{
"description": "The value tracker value data.",
"properties": {
"accuracyImprovement": {
"description": "Accuracy improvement.",
"type": "number"
},
"decisionsCount": {
"description": "The estimated number of decisions per year.",
"type": "integer"
},
"incorrectDecisionCost": {
"description": "The estimated cost of an individual incorrect decision.",
"type": "number"
},
"incorrectDecisionsCount": {
"description": "The estimated number of incorrect decisions per year.",
"type": "integer"
}
},
"required": [
"accuracyImprovement",
"decisionsCount",
"incorrectDecisionCost",
"incorrectDecisionsCount"
],
"type": "object"
},
{
"description": "The value tracker value data.",
"properties": {
"accuracyImprovement": {
"description": "Accuracy improvement.",
"type": "number"
},
"decisionsCount": {
"description": "The estimated number of decisions per year.",
"type": "integer"
},
"targetValue": {
"description": "The target value.",
"type": "number"
}
},
"required": [
"accuracyImprovement",
"decisionsCount",
"targetValue"
],
"type": "object"
}
]
},
"templateType": {
"description": "The name of the class ValueTracker value template",
"enum": [
"classification",
"regression"
],
"type": "string"
}
},
"required": [
"data",
"templateType"
],
"type": "object"
}
},
"required": [
"averageValuePerDecision",
"savedAnnually",
"template"
],
"type": "object"
}
Responses
List value trackers the requesting user has access to
Operation path: GET /api/v2/valueTrackers/
Authentication requirements: BearerAuth
List value trackers the requesting user has access to.
Parameters
| Name |
In |
Type |
Required |
Description |
| offset |
query |
integer |
false |
The number of records to skip over. Default 0. |
| limit |
query |
integer |
false |
The number of records to return in the range from 1 to 100. Default 100. |
| orderBy |
query |
string |
false |
Sort the value trackers by a field of the value tracker. |
| namePart |
query |
string |
false |
Only return value trackers with names that match the given string. |
| stage |
query |
string |
false |
Filter results by the current stage of the value trackers. |
Enumerated Values
| Parameter |
Value |
| orderBy |
[businessImpact, -businessImpact, potentialValue, -potentialValue, realizedValue, -realizedValue, feasibility, -feasibility, stage, -stage] |
| stage |
[ideation, queued, dataPrepAndModeling, validatingAndDeploying, inProduction, retired, onHold] |
Example responses
200 Response
{
"properties": {
"count": {
"description": "The number of items returned on this page.",
"type": "integer"
},
"data": {
"description": "The list of value trackers that match the query.",
"items": {
"description": "The value tracker information.",
"properties": {
"accuracyHealth": {
"anyOf": [
{
"type": "string"
},
{
"properties": {
"endDate": {
"description": "The end date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"message": {
"description": "Information about the health status.",
"type": [
"string",
"null"
]
},
"startDate": {
"description": "The start date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"status": {
"description": "The status of the value tracker.",
"type": [
"string",
"null"
]
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "The health of the accuracy."
},
"businessImpact": {
"description": "The expected effects on overall business operations.",
"maximum": 5,
"minimum": 1,
"type": [
"integer",
"null"
]
},
"commentId": {
"description": "The ID for this comment.",
"type": "string"
},
"content": {
"description": "A string",
"type": "string"
},
"description": {
"description": "The value tracker description.",
"type": [
"string",
"null"
]
},
"feasibility": {
"description": "Assessment of how the value tracker can be accomplished across multiple dimensions.",
"maximum": 5,
"minimum": 1,
"type": [
"integer",
"null"
]
},
"id": {
"description": "The ID of the ValueTracker.",
"type": "string"
},
"inProductionWarning": {
"description": "An optional warning to indicate that deployments are attached to this value tracker.",
"type": [
"string",
"null"
]
},
"mentions": {
"description": "The list of user objects.",
"items": {
"description": "DataRobot user information.",
"properties": {
"firstName": {
"description": "The first name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The DataRobot user ID.",
"type": "string"
},
"lastName": {
"description": "The last name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the ValueTracker owner.",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
},
"type": "array"
},
"modelHealth": {
"anyOf": [
{
"type": "string"
},
{
"properties": {
"endDate": {
"description": "The end date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"message": {
"description": "Information about the health status.",
"type": [
"string",
"null"
]
},
"startDate": {
"description": "The start date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"status": {
"description": "The status of the value tracker.",
"type": [
"string",
"null"
]
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "The health of the model."
},
"name": {
"description": "The name of the value tracker.",
"type": "string"
},
"notes": {
"description": "The user notes.",
"type": [
"string",
"null"
]
},
"owner": {
"description": "DataRobot user information.",
"properties": {
"firstName": {
"description": "The first name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The DataRobot user ID.",
"type": "string"
},
"lastName": {
"description": "The last name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the ValueTracker owner.",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
},
"permissions": {
"description": "The permissions of the current user.",
"items": {
"type": "string"
},
"type": "array"
},
"potentialValue": {
"description": "Optional. Contains MonetaryValue objects.",
"properties": {
"currency": {
"description": "The ISO code of the currency.",
"enum": [
"AED",
"BRL",
"CHF",
"EUR",
"GBP",
"JPY",
"KRW",
"UAH",
"USD",
"ZAR"
],
"type": "string"
},
"details": {
"description": "Optional user notes.",
"type": [
"string",
"null"
]
},
"value": {
"description": "The amount of value.",
"type": "number"
}
},
"required": [
"currency",
"value"
],
"type": "object"
},
"potentialValueTemplate": {
"anyOf": [
{
"properties": {
"data": {
"description": "The value tracker value data.",
"properties": {
"accuracyImprovement": {
"description": "Accuracy improvement.",
"type": "number"
},
"decisionsCount": {
"description": "The estimated number of decisions per year.",
"type": "integer"
},
"incorrectDecisionCost": {
"description": "The estimated cost of an individual incorrect decision.",
"type": "number"
},
"incorrectDecisionsCount": {
"description": "The estimated number of incorrect decisions per year.",
"type": "integer"
}
},
"required": [
"accuracyImprovement",
"decisionsCount",
"incorrectDecisionCost",
"incorrectDecisionsCount"
],
"type": "object"
},
"templateType": {
"description": "The value tracker value template type.",
"enum": [
"classification"
],
"type": "string"
}
},
"required": [
"data",
"templateType"
],
"type": "object"
},
{
"properties": {
"data": {
"description": "The value tracker value data.",
"properties": {
"accuracyImprovement": {
"description": "Accuracy improvement.",
"type": "number"
},
"decisionsCount": {
"description": "The estimated number of decisions per year.",
"type": "integer"
},
"targetValue": {
"description": "The target value.",
"type": "number"
}
},
"required": [
"accuracyImprovement",
"decisionsCount",
"targetValue"
],
"type": "object"
},
"templateType": {
"description": "The value tracker value template type.",
"enum": [
"regression"
],
"type": "string"
}
},
"required": [
"data",
"templateType"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "Optional. Contains the template type and parameter information."
},
"predictionTargets": {
"description": "An array of prediction target name strings.",
"items": {
"description": "The name of the prediction target",
"type": "string"
},
"type": "array"
},
"predictionsCount": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
},
{
"description": "The list of prediction counts.",
"items": {
"type": "integer"
},
"type": "array"
}
],
"description": "The count of the number of predictions made."
},
"realizedValue": {
"anyOf": [
{
"type": "string"
},
{
"description": "Optional. Contains MonetaryValue objects.",
"properties": {
"currency": {
"description": "The ISO code of the currency.",
"enum": [
"AED",
"BRL",
"CHF",
"EUR",
"GBP",
"JPY",
"KRW",
"UAH",
"USD",
"ZAR"
],
"type": "string"
},
"details": {
"description": "Optional user notes.",
"type": [
"string",
"null"
]
},
"value": {
"description": "The amount of value.",
"type": "number"
}
},
"required": [
"currency",
"value"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "Optional. Contains MonetaryValue objects."
},
"serviceHealth": {
"anyOf": [
{
"type": "string"
},
{
"properties": {
"endDate": {
"description": "The end date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"message": {
"description": "Information about the health status.",
"type": [
"string",
"null"
]
},
"startDate": {
"description": "The start date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"status": {
"description": "The status of the value tracker.",
"type": [
"string",
"null"
]
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "The health of the service."
},
"stage": {
"description": "The current stage of the value tracker.",
"enum": [
"ideation",
"queued",
"dataPrepAndModeling",
"validatingAndDeploying",
"inProduction",
"retired",
"onHold"
],
"type": "string"
},
"targetDates": {
"description": "The array of TargetDate objects.",
"items": {
"properties": {
"date": {
"description": "The date of the target.",
"format": "date-time",
"type": "string"
},
"stage": {
"description": "The name of the target stage.",
"enum": [
"ideation",
"queued",
"dataPrepAndModeling",
"validatingAndDeploying",
"inProduction",
"retired",
"onHold"
],
"type": "string"
}
},
"required": [
"date",
"stage"
],
"type": "object"
},
"type": "array"
}
},
"type": "object"
},
"type": "array"
},
"next": {
"description": "URL pointing to the next page (if null, there is no next page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"previous": {
"description": "URL pointing to the previous page (if null, there is no previous page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"totalCount": {
"description": "The number of items matching the query condition.",
"type": "integer"
}
},
"required": [
"count",
"data",
"next",
"previous",
"totalCount"
],
"type": "object"
}
Responses
Create a new value tracker
Operation path: POST /api/v2/valueTrackers/
Authentication requirements: BearerAuth
Create a new value tracker.
Body parameter
{
"properties": {
"businessImpact": {
"description": "The expected effects on overall business operations.",
"maximum": 5,
"minimum": 1,
"type": [
"integer",
"null"
]
},
"commentId": {
"description": "The ID for this comment.",
"type": "string"
},
"content": {
"description": "A string",
"type": "string"
},
"description": {
"description": "The value tracker description.",
"maxLength": 1024,
"type": "string"
},
"feasibility": {
"description": "Assessment of how the value tracker can be accomplished across multiple dimensions.",
"maximum": 5,
"minimum": 1,
"type": [
"integer",
"null"
]
},
"id": {
"description": "The ID of this description item.",
"type": [
"string",
"null"
]
},
"mentions": {
"description": "The list of user objects.",
"items": {
"description": "DataRobot user information.",
"properties": {
"firstName": {
"description": "The first name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The DataRobot user ID.",
"type": "string"
},
"lastName": {
"description": "The last name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the ValueTracker owner.",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
},
"type": "array"
},
"name": {
"description": "The name of the value tracker.",
"maxLength": 512,
"type": "string"
},
"notes": {
"description": "The user notes.",
"type": [
"string",
"null"
]
},
"owner": {
"description": "DataRobot user information.",
"properties": {
"firstName": {
"description": "The first name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The DataRobot user ID.",
"type": "string"
},
"lastName": {
"description": "The last name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the ValueTracker owner.",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
},
"permissions": {
"description": "The permissions of the current user.",
"items": {
"type": "string"
},
"type": "array"
},
"potentialValue": {
"description": "Optional. Contains MonetaryValue objects.",
"properties": {
"currency": {
"description": "The ISO code of the currency.",
"enum": [
"AED",
"BRL",
"CHF",
"EUR",
"GBP",
"JPY",
"KRW",
"UAH",
"USD",
"ZAR"
],
"type": "string"
},
"details": {
"description": "Optional user notes.",
"type": [
"string",
"null"
]
},
"value": {
"description": "The amount of value.",
"type": "number"
}
},
"required": [
"currency",
"value"
],
"type": "object"
},
"potentialValueTemplate": {
"anyOf": [
{
"properties": {
"data": {
"description": "The value tracker value data.",
"properties": {
"accuracyImprovement": {
"description": "Accuracy improvement.",
"type": "number"
},
"decisionsCount": {
"description": "The estimated number of decisions per year.",
"type": "integer"
},
"incorrectDecisionCost": {
"description": "The estimated cost of an individual incorrect decision.",
"type": "number"
},
"incorrectDecisionsCount": {
"description": "The estimated number of incorrect decisions per year.",
"type": "integer"
}
},
"required": [
"accuracyImprovement",
"decisionsCount",
"incorrectDecisionCost",
"incorrectDecisionsCount"
],
"type": "object"
},
"templateType": {
"description": "The value tracker value template type.",
"enum": [
"classification"
],
"type": "string"
}
},
"required": [
"data",
"templateType"
],
"type": "object"
},
{
"properties": {
"data": {
"description": "The value tracker value data.",
"properties": {
"accuracyImprovement": {
"description": "Accuracy improvement.",
"type": "number"
},
"decisionsCount": {
"description": "The estimated number of decisions per year.",
"type": "integer"
},
"targetValue": {
"description": "The target value.",
"type": "number"
}
},
"required": [
"accuracyImprovement",
"decisionsCount",
"targetValue"
],
"type": "object"
},
"templateType": {
"description": "The value tracker value template type.",
"enum": [
"regression"
],
"type": "string"
}
},
"required": [
"data",
"templateType"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "Optional. Contains the template type and parameter information."
},
"predictionTargets": {
"description": "An array of prediction target name strings.",
"items": {
"description": "The name of the prediction target",
"type": "string"
},
"type": "array"
},
"realizedValue": {
"anyOf": [
{
"type": "string"
},
{
"description": "Optional. Contains MonetaryValue objects.",
"properties": {
"currency": {
"description": "The ISO code of the currency.",
"enum": [
"AED",
"BRL",
"CHF",
"EUR",
"GBP",
"JPY",
"KRW",
"UAH",
"USD",
"ZAR"
],
"type": "string"
},
"details": {
"description": "Optional user notes.",
"type": [
"string",
"null"
]
},
"value": {
"description": "The amount of value.",
"type": "number"
}
},
"required": [
"currency",
"value"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "Optional. Contains MonetaryValue objects."
},
"stage": {
"description": "The current stage of the value tracker.",
"enum": [
"ideation",
"queued",
"dataPrepAndModeling",
"validatingAndDeploying",
"inProduction",
"retired",
"onHold"
],
"type": "string"
},
"targetDates": {
"description": "The array of TargetDate objects.",
"items": {
"properties": {
"date": {
"description": "The date of the target.",
"format": "date-time",
"type": "string"
},
"stage": {
"description": "The name of the target stage.",
"enum": [
"ideation",
"queued",
"dataPrepAndModeling",
"validatingAndDeploying",
"inProduction",
"retired",
"onHold"
],
"type": "string"
}
},
"required": [
"date",
"stage"
],
"type": "object"
},
"type": "array"
}
},
"required": [
"name"
],
"type": "object"
}
Parameters
| Name |
In |
Type |
Required |
Description |
| body |
body |
ValueTracker |
false |
none |
Example responses
200 Response
{
"description": "The value tracker information.",
"properties": {
"accuracyHealth": {
"anyOf": [
{
"type": "string"
},
{
"properties": {
"endDate": {
"description": "The end date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"message": {
"description": "Information about the health status.",
"type": [
"string",
"null"
]
},
"startDate": {
"description": "The start date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"status": {
"description": "The status of the value tracker.",
"type": [
"string",
"null"
]
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "The health of the accuracy."
},
"businessImpact": {
"description": "The expected effects on overall business operations.",
"maximum": 5,
"minimum": 1,
"type": [
"integer",
"null"
]
},
"commentId": {
"description": "The ID for this comment.",
"type": "string"
},
"content": {
"description": "A string",
"type": "string"
},
"description": {
"description": "The value tracker description.",
"type": "string"
},
"feasibility": {
"description": "Assessment of how the value tracker can be accomplished across multiple dimensions.",
"maximum": 5,
"minimum": 1,
"type": [
"integer",
"null"
]
},
"id": {
"description": "The ID of the ValueTracker.",
"type": "string"
},
"inProductionWarning": {
"description": "An optional warning to indicate that deployments are attached to this value tracker.",
"type": [
"string",
"null"
]
},
"mentions": {
"description": "The list of user objects.",
"items": {
"description": "DataRobot user information.",
"properties": {
"firstName": {
"description": "The first name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The DataRobot user ID.",
"type": "string"
},
"lastName": {
"description": "The last name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the ValueTracker owner.",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
},
"type": "array"
},
"modelHealth": {
"anyOf": [
{
"type": "string"
},
{
"properties": {
"endDate": {
"description": "The end date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"message": {
"description": "Information about the health status.",
"type": [
"string",
"null"
]
},
"startDate": {
"description": "The start date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"status": {
"description": "The status of the value tracker.",
"type": [
"string",
"null"
]
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "The health of the model."
},
"name": {
"description": "The name of the value tracker.",
"type": "string"
},
"notes": {
"description": "The user notes.",
"type": [
"string",
"null"
]
},
"owner": {
"description": "DataRobot user information.",
"properties": {
"firstName": {
"description": "The first name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The DataRobot user ID.",
"type": "string"
},
"lastName": {
"description": "The last name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the ValueTracker owner.",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
},
"permissions": {
"description": "The permissions of the current user.",
"items": {
"type": "string"
},
"type": "array"
},
"potentialValue": {
"description": "Optional. Contains MonetaryValue objects.",
"properties": {
"currency": {
"description": "The ISO code of the currency.",
"enum": [
"AED",
"BRL",
"CHF",
"EUR",
"GBP",
"JPY",
"KRW",
"UAH",
"USD",
"ZAR"
],
"type": "string"
},
"details": {
"description": "Optional user notes.",
"type": [
"string",
"null"
]
},
"value": {
"description": "The amount of value.",
"type": "number"
}
},
"required": [
"currency",
"value"
],
"type": "object"
},
"potentialValueTemplate": {
"anyOf": [
{
"properties": {
"data": {
"description": "The value tracker value data.",
"properties": {
"accuracyImprovement": {
"description": "Accuracy improvement.",
"type": "number"
},
"decisionsCount": {
"description": "The estimated number of decisions per year.",
"type": "integer"
},
"incorrectDecisionCost": {
"description": "The estimated cost of an individual incorrect decision.",
"type": "number"
},
"incorrectDecisionsCount": {
"description": "The estimated number of incorrect decisions per year.",
"type": "integer"
}
},
"required": [
"accuracyImprovement",
"decisionsCount",
"incorrectDecisionCost",
"incorrectDecisionsCount"
],
"type": "object"
},
"templateType": {
"description": "The value tracker value template type.",
"enum": [
"classification"
],
"type": "string"
}
},
"required": [
"data",
"templateType"
],
"type": "object"
},
{
"properties": {
"data": {
"description": "The value tracker value data.",
"properties": {
"accuracyImprovement": {
"description": "Accuracy improvement.",
"type": "number"
},
"decisionsCount": {
"description": "The estimated number of decisions per year.",
"type": "integer"
},
"targetValue": {
"description": "The target value.",
"type": "number"
}
},
"required": [
"accuracyImprovement",
"decisionsCount",
"targetValue"
],
"type": "object"
},
"templateType": {
"description": "The value tracker value template type.",
"enum": [
"regression"
],
"type": "string"
}
},
"required": [
"data",
"templateType"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "Optional. Contains the template type and parameter information."
},
"predictionTargets": {
"description": "An array of prediction target name strings.",
"items": {
"description": "The name of the prediction target",
"type": "string"
},
"type": "array"
},
"predictionsCount": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
},
{
"description": "The list of prediction counts.",
"items": {
"type": "integer"
},
"type": "array"
}
],
"description": "The count of the number of predictions made."
},
"realizedValue": {
"anyOf": [
{
"type": "string"
},
{
"description": "Optional. Contains MonetaryValue objects.",
"properties": {
"currency": {
"description": "The ISO code of the currency.",
"enum": [
"AED",
"BRL",
"CHF",
"EUR",
"GBP",
"JPY",
"KRW",
"UAH",
"USD",
"ZAR"
],
"type": "string"
},
"details": {
"description": "Optional user notes.",
"type": [
"string",
"null"
]
},
"value": {
"description": "The amount of value.",
"type": "number"
}
},
"required": [
"currency",
"value"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "Optional. Contains MonetaryValue objects."
},
"serviceHealth": {
"anyOf": [
{
"type": "string"
},
{
"properties": {
"endDate": {
"description": "The end date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"message": {
"description": "Information about the health status.",
"type": [
"string",
"null"
]
},
"startDate": {
"description": "The start date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"status": {
"description": "The status of the value tracker.",
"type": [
"string",
"null"
]
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "The health of the service."
},
"stage": {
"description": "The current stage of the value tracker.",
"enum": [
"ideation",
"queued",
"dataPrepAndModeling",
"validatingAndDeploying",
"inProduction",
"retired",
"onHold"
],
"type": "string"
},
"targetDates": {
"description": "The array of TargetDate objects.",
"items": {
"properties": {
"date": {
"description": "The date of the target.",
"format": "date-time",
"type": "string"
},
"stage": {
"description": "The name of the target stage.",
"enum": [
"ideation",
"queued",
"dataPrepAndModeling",
"validatingAndDeploying",
"inProduction",
"retired",
"onHold"
],
"type": "string"
}
},
"required": [
"date",
"stage"
],
"type": "object"
},
"type": "array"
}
},
"type": "object"
}
Responses
Delete a value tracker by value tracker ID
Operation path: DELETE /api/v2/valueTrackers/{valueTrackerId}/
Authentication requirements: BearerAuth
Delete a value tracker.
Parameters
| Name |
In |
Type |
Required |
Description |
| valueTrackerId |
path |
string |
true |
The ID of the ValueTracker. |
Responses
| Status |
Meaning |
Description |
Schema |
| 200 |
OK |
none |
None |
| 204 |
No Content |
The value tracker was deleted. |
None |
Retrieve a value tracker by value tracker ID
Operation path: GET /api/v2/valueTrackers/{valueTrackerId}/
Authentication requirements: BearerAuth
Retrieve a value tracker.
Parameters
| Name |
In |
Type |
Required |
Description |
| valueTrackerId |
path |
string |
true |
The ID of the ValueTracker. |
Example responses
200 Response
{
"description": "The value tracker information.",
"properties": {
"accuracyHealth": {
"anyOf": [
{
"type": "string"
},
{
"properties": {
"endDate": {
"description": "The end date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"message": {
"description": "Information about the health status.",
"type": [
"string",
"null"
]
},
"startDate": {
"description": "The start date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"status": {
"description": "The status of the value tracker.",
"type": [
"string",
"null"
]
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "The health of the accuracy."
},
"businessImpact": {
"description": "The expected effects on overall business operations.",
"maximum": 5,
"minimum": 1,
"type": [
"integer",
"null"
]
},
"commentId": {
"description": "The ID for this comment.",
"type": "string"
},
"content": {
"description": "A string",
"type": "string"
},
"description": {
"description": "The value tracker description.",
"type": [
"string",
"null"
]
},
"feasibility": {
"description": "Assessment of how the value tracker can be accomplished across multiple dimensions.",
"maximum": 5,
"minimum": 1,
"type": [
"integer",
"null"
]
},
"id": {
"description": "The ID of the ValueTracker.",
"type": "string"
},
"inProductionWarning": {
"description": "An optional warning to indicate that deployments are attached to this value tracker.",
"type": [
"string",
"null"
]
},
"mentions": {
"description": "The list of user objects.",
"items": {
"description": "DataRobot user information.",
"properties": {
"firstName": {
"description": "The first name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The DataRobot user ID.",
"type": "string"
},
"lastName": {
"description": "The last name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the ValueTracker owner.",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
},
"type": "array"
},
"modelHealth": {
"anyOf": [
{
"type": "string"
},
{
"properties": {
"endDate": {
"description": "The end date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"message": {
"description": "Information about the health status.",
"type": [
"string",
"null"
]
},
"startDate": {
"description": "The start date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"status": {
"description": "The status of the value tracker.",
"type": [
"string",
"null"
]
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "The health of the model."
},
"name": {
"description": "The name of the value tracker.",
"type": "string"
},
"notes": {
"description": "The user notes.",
"type": [
"string",
"null"
]
},
"owner": {
"description": "DataRobot user information.",
"properties": {
"firstName": {
"description": "The first name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The DataRobot user ID.",
"type": "string"
},
"lastName": {
"description": "The last name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the ValueTracker owner.",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
},
"permissions": {
"description": "The permissions of the current user.",
"items": {
"type": "string"
},
"type": "array"
},
"potentialValue": {
"description": "Optional. Contains MonetaryValue objects.",
"properties": {
"currency": {
"description": "The ISO code of the currency.",
"enum": [
"AED",
"BRL",
"CHF",
"EUR",
"GBP",
"JPY",
"KRW",
"UAH",
"USD",
"ZAR"
],
"type": "string"
},
"details": {
"description": "Optional user notes.",
"type": [
"string",
"null"
]
},
"value": {
"description": "The amount of value.",
"type": "number"
}
},
"required": [
"currency",
"value"
],
"type": "object"
},
"potentialValueTemplate": {
"anyOf": [
{
"properties": {
"data": {
"description": "The value tracker value data.",
"properties": {
"accuracyImprovement": {
"description": "Accuracy improvement.",
"type": "number"
},
"decisionsCount": {
"description": "The estimated number of decisions per year.",
"type": "integer"
},
"incorrectDecisionCost": {
"description": "The estimated cost of an individual incorrect decision.",
"type": "number"
},
"incorrectDecisionsCount": {
"description": "The estimated number of incorrect decisions per year.",
"type": "integer"
}
},
"required": [
"accuracyImprovement",
"decisionsCount",
"incorrectDecisionCost",
"incorrectDecisionsCount"
],
"type": "object"
},
"templateType": {
"description": "The value tracker value template type.",
"enum": [
"classification"
],
"type": "string"
}
},
"required": [
"data",
"templateType"
],
"type": "object"
},
{
"properties": {
"data": {
"description": "The value tracker value data.",
"properties": {
"accuracyImprovement": {
"description": "Accuracy improvement.",
"type": "number"
},
"decisionsCount": {
"description": "The estimated number of decisions per year.",
"type": "integer"
},
"targetValue": {
"description": "The target value.",
"type": "number"
}
},
"required": [
"accuracyImprovement",
"decisionsCount",
"targetValue"
],
"type": "object"
},
"templateType": {
"description": "The value tracker value template type.",
"enum": [
"regression"
],
"type": "string"
}
},
"required": [
"data",
"templateType"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "Optional. Contains the template type and parameter information."
},
"predictionTargets": {
"description": "An array of prediction target name strings.",
"items": {
"description": "The name of the prediction target",
"type": "string"
},
"type": "array"
},
"predictionsCount": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
},
{
"description": "The list of prediction counts.",
"items": {
"type": "integer"
},
"type": "array"
}
],
"description": "The count of the number of predictions made."
},
"realizedValue": {
"anyOf": [
{
"type": "string"
},
{
"description": "Optional. Contains MonetaryValue objects.",
"properties": {
"currency": {
"description": "The ISO code of the currency.",
"enum": [
"AED",
"BRL",
"CHF",
"EUR",
"GBP",
"JPY",
"KRW",
"UAH",
"USD",
"ZAR"
],
"type": "string"
},
"details": {
"description": "Optional user notes.",
"type": [
"string",
"null"
]
},
"value": {
"description": "The amount of value.",
"type": "number"
}
},
"required": [
"currency",
"value"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "Optional. Contains MonetaryValue objects."
},
"serviceHealth": {
"anyOf": [
{
"type": "string"
},
{
"properties": {
"endDate": {
"description": "The end date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"message": {
"description": "Information about the health status.",
"type": [
"string",
"null"
]
},
"startDate": {
"description": "The start date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"status": {
"description": "The status of the value tracker.",
"type": [
"string",
"null"
]
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "The health of the service."
},
"stage": {
"description": "The current stage of the value tracker.",
"enum": [
"ideation",
"queued",
"dataPrepAndModeling",
"validatingAndDeploying",
"inProduction",
"retired",
"onHold"
],
"type": "string"
},
"targetDates": {
"description": "The array of TargetDate objects.",
"items": {
"properties": {
"date": {
"description": "The date of the target.",
"format": "date-time",
"type": "string"
},
"stage": {
"description": "The name of the target stage.",
"enum": [
"ideation",
"queued",
"dataPrepAndModeling",
"validatingAndDeploying",
"inProduction",
"retired",
"onHold"
],
"type": "string"
}
},
"required": [
"date",
"stage"
],
"type": "object"
},
"type": "array"
}
},
"type": "object"
}
Responses
Update a value tracker by value tracker ID
Operation path: PATCH /api/v2/valueTrackers/{valueTrackerId}/
Authentication requirements: BearerAuth
Update a value tracker.
Body parameter
{
"properties": {
"businessImpact": {
"description": "The expected effects on overall business operations.",
"maximum": 5,
"minimum": 1,
"type": [
"integer",
"null"
]
},
"description": {
"description": "The value tracker description.",
"maxLength": 1024,
"type": [
"string",
"null"
]
},
"feasibility": {
"description": "Assessment of how the value tracker can be accomplished across multiple dimensions.",
"maximum": 5,
"minimum": 1,
"type": [
"integer",
"null"
]
},
"name": {
"description": "The name of the value tracker.",
"maxLength": 512,
"type": "string"
},
"notes": {
"description": "The user notes.",
"maxLength": 1024,
"type": [
"string",
"null"
]
},
"owner": {
"description": "DataRobot user information.",
"properties": {
"firstName": {
"description": "The first name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The DataRobot user ID.",
"type": "string"
},
"lastName": {
"description": "The last name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the ValueTracker owner.",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
},
"potentialValue": {
"description": "Optional. Contains MonetaryValue objects.",
"properties": {
"currency": {
"description": "The ISO code of the currency.",
"enum": [
"AED",
"BRL",
"CHF",
"EUR",
"GBP",
"JPY",
"KRW",
"UAH",
"USD",
"ZAR"
],
"type": "string"
},
"details": {
"description": "Optional user notes.",
"type": [
"string",
"null"
]
},
"value": {
"description": "The amount of value.",
"type": "number"
}
},
"required": [
"currency",
"value"
],
"type": "object"
},
"potentialValueTemplate": {
"anyOf": [
{
"properties": {
"data": {
"description": "The value tracker value data.",
"properties": {
"accuracyImprovement": {
"description": "Accuracy improvement.",
"type": "number"
},
"decisionsCount": {
"description": "The estimated number of decisions per year.",
"type": "integer"
},
"incorrectDecisionCost": {
"description": "The estimated cost of an individual incorrect decision.",
"type": "number"
},
"incorrectDecisionsCount": {
"description": "The estimated number of incorrect decisions per year.",
"type": "integer"
}
},
"required": [
"accuracyImprovement",
"decisionsCount",
"incorrectDecisionCost",
"incorrectDecisionsCount"
],
"type": "object"
},
"templateType": {
"description": "The value tracker value template type.",
"enum": [
"classification"
],
"type": "string"
}
},
"required": [
"data",
"templateType"
],
"type": "object"
},
{
"properties": {
"data": {
"description": "The value tracker value data.",
"properties": {
"accuracyImprovement": {
"description": "Accuracy improvement.",
"type": "number"
},
"decisionsCount": {
"description": "The estimated number of decisions per year.",
"type": "integer"
},
"targetValue": {
"description": "The target value.",
"type": "number"
}
},
"required": [
"accuracyImprovement",
"decisionsCount",
"targetValue"
],
"type": "object"
},
"templateType": {
"description": "The value tracker value template type.",
"enum": [
"regression"
],
"type": "string"
}
},
"required": [
"data",
"templateType"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "Contains the template type and parameter information defined in the response of [GET /api/v2/valueTrackerValueTemplates/{templateType}/calculation/][get-apiv2valuetrackervaluetemplatestemplatetypecalculation]."
},
"predictionTargets": {
"description": "An array of prediction target name strings.",
"items": {
"type": "string"
},
"type": "array"
},
"realizedValue": {
"description": "Optional. Contains MonetaryValue objects.",
"properties": {
"currency": {
"description": "The ISO code of the currency.",
"enum": [
"AED",
"BRL",
"CHF",
"EUR",
"GBP",
"JPY",
"KRW",
"UAH",
"USD",
"ZAR"
],
"type": "string"
},
"details": {
"description": "Optional user notes.",
"type": [
"string",
"null"
]
},
"value": {
"description": "The amount of value.",
"type": "number"
}
},
"required": [
"currency",
"value"
],
"type": "object"
},
"stage": {
"description": "The current stage of the value tracker.",
"enum": [
"ideation",
"queued",
"dataPrepAndModeling",
"validatingAndDeploying",
"inProduction",
"retired",
"onHold"
],
"type": "string"
},
"targetDates": {
"description": "The array of TargetDate objects.",
"items": {
"properties": {
"date": {
"description": "The date of the target.",
"format": "date-time",
"type": "string"
},
"stage": {
"description": "The name of the target stage.",
"enum": [
"ideation",
"queued",
"dataPrepAndModeling",
"validatingAndDeploying",
"inProduction",
"retired",
"onHold"
],
"type": "string"
}
},
"required": [
"date",
"stage"
],
"type": "object"
},
"type": "array"
}
},
"type": "object"
}
Parameters
| Name |
In |
Type |
Required |
Description |
| valueTrackerId |
path |
string |
true |
The ID of the ValueTracker. |
| body |
body |
ValueTrackerUpdate |
false |
none |
Example responses
200 Response
{
"description": "The value tracker information.",
"properties": {
"accuracyHealth": {
"anyOf": [
{
"type": "string"
},
{
"properties": {
"endDate": {
"description": "The end date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"message": {
"description": "Information about the health status.",
"type": [
"string",
"null"
]
},
"startDate": {
"description": "The start date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"status": {
"description": "The status of the value tracker.",
"type": [
"string",
"null"
]
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "The health of the accuracy."
},
"businessImpact": {
"description": "The expected effects on overall business operations.",
"maximum": 5,
"minimum": 1,
"type": [
"integer",
"null"
]
},
"commentId": {
"description": "The ID for this comment.",
"type": "string"
},
"content": {
"description": "A string",
"type": "string"
},
"description": {
"description": "The value tracker description.",
"type": [
"string",
"null"
]
},
"feasibility": {
"description": "Assessment of how the value tracker can be accomplished across multiple dimensions.",
"maximum": 5,
"minimum": 1,
"type": [
"integer",
"null"
]
},
"id": {
"description": "The ID of the ValueTracker.",
"type": "string"
},
"inProductionWarning": {
"description": "An optional warning to indicate that deployments are attached to this value tracker.",
"type": [
"string",
"null"
]
},
"mentions": {
"description": "The list of user objects.",
"items": {
"description": "DataRobot user information.",
"properties": {
"firstName": {
"description": "The first name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The DataRobot user ID.",
"type": "string"
},
"lastName": {
"description": "The last name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the ValueTracker owner.",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
},
"type": "array"
},
"modelHealth": {
"anyOf": [
{
"type": "string"
},
{
"properties": {
"endDate": {
"description": "The end date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"message": {
"description": "Information about the health status.",
"type": [
"string",
"null"
]
},
"startDate": {
"description": "The start date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"status": {
"description": "The status of the value tracker.",
"type": [
"string",
"null"
]
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "The health of the model."
},
"name": {
"description": "The name of the value tracker.",
"type": "string"
},
"notes": {
"description": "The user notes.",
"type": [
"string",
"null"
]
},
"owner": {
"description": "DataRobot user information.",
"properties": {
"firstName": {
"description": "The first name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The DataRobot user ID.",
"type": "string"
},
"lastName": {
"description": "The last name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the ValueTracker owner.",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
},
"permissions": {
"description": "The permissions of the current user.",
"items": {
"type": "string"
},
"type": "array"
},
"potentialValue": {
"description": "Optional. Contains MonetaryValue objects.",
"properties": {
"currency": {
"description": "The ISO code of the currency.",
"enum": [
"AED",
"BRL",
"CHF",
"EUR",
"GBP",
"JPY",
"KRW",
"UAH",
"USD",
"ZAR"
],
"type": "string"
},
"details": {
"description": "Optional user notes.",
"type": [
"string",
"null"
]
},
"value": {
"description": "The amount of value.",
"type": "number"
}
},
"required": [
"currency",
"value"
],
"type": "object"
},
"potentialValueTemplate": {
"anyOf": [
{
"properties": {
"data": {
"description": "The value tracker value data.",
"properties": {
"accuracyImprovement": {
"description": "Accuracy improvement.",
"type": "number"
},
"decisionsCount": {
"description": "The estimated number of decisions per year.",
"type": "integer"
},
"incorrectDecisionCost": {
"description": "The estimated cost of an individual incorrect decision.",
"type": "number"
},
"incorrectDecisionsCount": {
"description": "The estimated number of incorrect decisions per year.",
"type": "integer"
}
},
"required": [
"accuracyImprovement",
"decisionsCount",
"incorrectDecisionCost",
"incorrectDecisionsCount"
],
"type": "object"
},
"templateType": {
"description": "The value tracker value template type.",
"enum": [
"classification"
],
"type": "string"
}
},
"required": [
"data",
"templateType"
],
"type": "object"
},
{
"properties": {
"data": {
"description": "The value tracker value data.",
"properties": {
"accuracyImprovement": {
"description": "Accuracy improvement.",
"type": "number"
},
"decisionsCount": {
"description": "The estimated number of decisions per year.",
"type": "integer"
},
"targetValue": {
"description": "The target value.",
"type": "number"
}
},
"required": [
"accuracyImprovement",
"decisionsCount",
"targetValue"
],
"type": "object"
},
"templateType": {
"description": "The value tracker value template type.",
"enum": [
"regression"
],
"type": "string"
}
},
"required": [
"data",
"templateType"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "Optional. Contains the template type and parameter information."
},
"predictionTargets": {
"description": "An array of prediction target name strings.",
"items": {
"description": "The name of the prediction target",
"type": "string"
},
"type": "array"
},
"predictionsCount": {
"anyOf": [
{
"type": "string"
},
{
"type": "integer"
},
{
"description": "The list of prediction counts.",
"items": {
"type": "integer"
},
"type": "array"
}
],
"description": "The count of the number of predictions made."
},
"realizedValue": {
"anyOf": [
{
"type": "string"
},
{
"description": "Optional. Contains MonetaryValue objects.",
"properties": {
"currency": {
"description": "The ISO code of the currency.",
"enum": [
"AED",
"BRL",
"CHF",
"EUR",
"GBP",
"JPY",
"KRW",
"UAH",
"USD",
"ZAR"
],
"type": "string"
},
"details": {
"description": "Optional user notes.",
"type": [
"string",
"null"
]
},
"value": {
"description": "The amount of value.",
"type": "number"
}
},
"required": [
"currency",
"value"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "Optional. Contains MonetaryValue objects."
},
"serviceHealth": {
"anyOf": [
{
"type": "string"
},
{
"properties": {
"endDate": {
"description": "The end date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"message": {
"description": "Information about the health status.",
"type": [
"string",
"null"
]
},
"startDate": {
"description": "The start date for this health status.",
"format": "date-time",
"type": [
"string",
"null"
]
},
"status": {
"description": "The status of the value tracker.",
"type": [
"string",
"null"
]
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "The health of the service."
},
"stage": {
"description": "The current stage of the value tracker.",
"enum": [
"ideation",
"queued",
"dataPrepAndModeling",
"validatingAndDeploying",
"inProduction",
"retired",
"onHold"
],
"type": "string"
},
"targetDates": {
"description": "The array of TargetDate objects.",
"items": {
"properties": {
"date": {
"description": "The date of the target.",
"format": "date-time",
"type": "string"
},
"stage": {
"description": "The name of the target stage.",
"enum": [
"ideation",
"queued",
"dataPrepAndModeling",
"validatingAndDeploying",
"inProduction",
"retired",
"onHold"
],
"type": "string"
}
},
"required": [
"date",
"stage"
],
"type": "object"
},
"type": "array"
}
},
"type": "object"
}
Responses
Retrieve the activities of a value tracker by value tracker ID
Operation path: GET /api/v2/valueTrackers/{valueTrackerId}/activities/
Authentication requirements: BearerAuth
Retrieve the activities of a value tracker.
Parameters
| Name |
In |
Type |
Required |
Description |
| offset |
query |
integer |
false |
The number of records to skip over. Default 0. |
| limit |
query |
integer |
false |
The number of records to return in the range from 1 to 100. Default 100. |
| valueTrackerId |
path |
string |
true |
The ID of the ValueTracker. |
Example responses
200 Response
{
"properties": {
"count": {
"description": "The number of items returned on this page.",
"type": "integer"
},
"data": {
"description": "The activities of the value tracker.",
"items": {
"description": "DataRobot user information.",
"properties": {
"eventDescription": {
"description": "Details of the activity. Content depends on activity type.",
"properties": {
"businessImpact": {
"description": "The expected effects on overall business operations.",
"maximum": 5,
"minimum": 1,
"type": [
"integer",
"null"
]
},
"commentId": {
"description": "The ID for this comment.",
"type": "string"
},
"content": {
"description": "A string",
"type": "string"
},
"description": {
"description": "The value tracker description.",
"type": [
"string",
"null"
]
},
"feasibility": {
"description": "Assessment of how the value tracker can be accomplished across multiple dimensions.",
"maximum": 5,
"minimum": 1,
"type": [
"integer",
"null"
]
},
"id": {
"description": "The ID of this description item.",
"type": [
"string",
"null"
]
},
"mentions": {
"description": "The list of user objects.",
"items": {
"description": "DataRobot user information.",
"properties": {
"firstName": {
"description": "The first name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The DataRobot user ID.",
"type": "string"
},
"lastName": {
"description": "The last name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the ValueTracker owner.",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
},
"type": "array"
},
"name": {
"description": "The name of this event item.",
"type": [
"string",
"null"
]
},
"notes": {
"description": "The user notes.",
"type": [
"string",
"null"
]
},
"owner": {
"description": "DataRobot user information.",
"properties": {
"firstName": {
"description": "The first name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The DataRobot user ID.",
"type": "string"
},
"lastName": {
"description": "The last name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the ValueTracker owner.",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
},
"permissions": {
"description": "The permissions of the current user.",
"items": {
"type": "string"
},
"type": "array"
},
"potentialValue": {
"description": "Optional. Contains MonetaryValue objects.",
"properties": {
"currency": {
"description": "The ISO code of the currency.",
"enum": [
"AED",
"BRL",
"CHF",
"EUR",
"GBP",
"JPY",
"KRW",
"UAH",
"USD",
"ZAR"
],
"type": "string"
},
"details": {
"description": "Optional user notes.",
"type": [
"string",
"null"
]
},
"value": {
"description": "The amount of value.",
"type": "number"
}
},
"required": [
"currency",
"value"
],
"type": "object"
},
"potentialValueTemplate": {
"anyOf": [
{
"properties": {
"data": {
"description": "The value tracker value data.",
"properties": {
"accuracyImprovement": {
"description": "Accuracy improvement.",
"type": "number"
},
"decisionsCount": {
"description": "The estimated number of decisions per year.",
"type": "integer"
},
"incorrectDecisionCost": {
"description": "The estimated cost of an individual incorrect decision.",
"type": "number"
},
"incorrectDecisionsCount": {
"description": "The estimated number of incorrect decisions per year.",
"type": "integer"
}
},
"required": [
"accuracyImprovement",
"decisionsCount",
"incorrectDecisionCost",
"incorrectDecisionsCount"
],
"type": "object"
},
"templateType": {
"description": "The value tracker value template type.",
"enum": [
"classification"
],
"type": "string"
}
},
"required": [
"data",
"templateType"
],
"type": "object"
},
{
"properties": {
"data": {
"description": "The value tracker value data.",
"properties": {
"accuracyImprovement": {
"description": "Accuracy improvement.",
"type": "number"
},
"decisionsCount": {
"description": "The estimated number of decisions per year.",
"type": "integer"
},
"targetValue": {
"description": "The target value.",
"type": "number"
}
},
"required": [
"accuracyImprovement",
"decisionsCount",
"targetValue"
],
"type": "object"
},
"templateType": {
"description": "The value tracker value template type.",
"enum": [
"regression"
],
"type": "string"
}
},
"required": [
"data",
"templateType"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "Optional. Contains the template type and parameter information."
},
"predictionTargets": {
"description": "An array of prediction target name strings.",
"items": {
"description": "The name of the prediction target",
"type": "string"
},
"type": "array"
},
"realizedValue": {
"anyOf": [
{
"type": "string"
},
{
"description": "Optional. Contains MonetaryValue objects.",
"properties": {
"currency": {
"description": "The ISO code of the currency.",
"enum": [
"AED",
"BRL",
"CHF",
"EUR",
"GBP",
"JPY",
"KRW",
"UAH",
"USD",
"ZAR"
],
"type": "string"
},
"details": {
"description": "Optional user notes.",
"type": [
"string",
"null"
]
},
"value": {
"description": "The amount of value.",
"type": "number"
}
},
"required": [
"currency",
"value"
],
"type": "object"
},
{
"type": "null"
}
],
"description": "Optional. Contains MonetaryValue objects."
},
"stage": {
"description": "The current stage of the value tracker.",
"enum": [
"ideation",
"queued",
"dataPrepAndModeling",
"validatingAndDeploying",
"inProduction",
"retired",
"onHold"
],
"type": "string"
},
"targetDates": {
"description": "The array of TargetDate objects.",
"items": {
"properties": {
"date": {
"description": "The date of the target.",
"format": "date-time",
"type": "string"
},
"stage": {
"description": "The name of the target stage.",
"enum": [
"ideation",
"queued",
"dataPrepAndModeling",
"validatingAndDeploying",
"inProduction",
"retired",
"onHold"
],
"type": "string"
}
},
"required": [
"date",
"stage"
],
"type": "object"
},
"type": "array"
}
},
"type": "object"
},
"eventType": {
"description": "The type of activity.",
"type": [
"string",
"null"
]
},
"firstName": {
"description": "The first name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The ID of the ValueTracker activity.",
"type": "string"
},
"lastName": {
"description": "The last name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"timestamp": {
"description": "The timestamp of the activity.",
"format": "date-time",
"type": "string"
},
"user": {
"description": "DataRobot user information.",
"properties": {
"firstName": {
"description": "The first name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"id": {
"description": "The DataRobot user ID.",
"type": "string"
},
"lastName": {
"description": "The last name of the ValueTracker owner.",
"type": [
"string",
"null"
]
},
"username": {
"description": "The username of the ValueTracker owner.",
"type": "string"
}
},
"required": [
"id"
],
"type": "object"
},
"username": {
"description": "The username of the ValueTracker owner.",
"type": "string"
}
},
"required": [
"eventDescription",
"eventType",
"timestamp",
"user"
],
"type": "object"
},
"type": "array"
},
"next": {
"description": "URL pointing to the next page (if null, there is no next page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"previous": {
"description": "URL pointing to the previous page (if null, there is no previous page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"totalCount": {
"description": "The number of items matching the query condition.",
"type": "integer"
}
},
"required": [
"count",
"data",
"next",
"previous",
"totalCount"
],
"type": "object"
}
Responses
Get the list of resources attached by value tracker ID
Operation path: GET /api/v2/valueTrackers/{valueTrackerId}/attachments/
Authentication requirements: BearerAuth
Get the list of resources attached to this value tracker.
Parameters
| Name |
In |
Type |
Required |
Description |
| offset |
query |
integer |
false |
This many results will be skipped. |
| limit |
query |
integer |
false |
This many results are returned. |
| type |
query |
string |
false |
The value tracker attachment type. |
| valueTrackerId |
path |
string |
true |
The ID of the ValueTracker. |
Enumerated Values
| Parameter |
Value |
| type |
[dataset, modelingProject, deployment, customModel, modelPackage, application] |
Example responses
200 Response
{
"properties": {
"count": {
"description": "The number of results returned.",
"type": "integer"
},
"data": {
"description": "The array of attachment objects.",
"items": {
"properties": {
"attachedObjectId": {
"description": "The ID of the attached object.",
"type": "string"
},
"canView": {
"description": "Indicates if the user has view access to the attached object.",
"type": "boolean"
},
"id": {
"description": "The ID of the ValueTracker.",
"type": "string"
},
"isAccessRequested": {
"description": "Indicates if the user has requested access to the attached object.",
"type": "boolean"
},
"overview": {
"description": "Detailed information depending on the type of the attachment",
"oneOf": [
{
"properties": {
"accuracyHealth": {
"description": "Accuracy related health status.",
"properties": {
"endDate": {
"description": "The end date of the health status.",
"format": "date-time",
"type": "string"
},
"message": {
"description": "Health status related information.",
"type": "string"
},
"startDate": {
"description": "The start date of the health status.",
"format": "date-time",
"type": "string"
},
"status": {
"description": "Health status.",
"type": "string"
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
"modelHealth": {
"description": "Accuracy related health status.",
"properties": {
"endDate": {
"description": "The end date of the health status.",
"format": "date-time",
"type": "string"
},
"message": {
"description": "Health status related information.",
"type": "string"
},
"startDate": {
"description": "The start date of the health status.",
"format": "date-time",
"type": "string"
},
"status": {
"description": "Health status.",
"type": "string"
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
"name": {
"description": "The name of the deployment.",
"type": "string"
},
"predictionServer": {
"description": "The name of the prediction server.",
"type": "string"
},
"predictionUsage": {
"description": "The value tracker attachment detail for deployment usage.",
"properties": {
"dailyRates": {
"description": "The list of daily request counts.",
"items": {
"type": "integer"
},
"type": "array"
},
"lastTimestamp": {
"description": "Last prediction time.",
"format": "date-time",
"type": "string"
}
},
"required": [
"dailyRates",
"lastTimestamp"
],
"type": "object"
},
"serviceHealth": {
"description": "Accuracy related health status.",
"properties": {
"endDate": {
"description": "The end date of the health status.",
"format": "date-time",
"type": "string"
},
"message": {
"description": "Health status related information.",
"type": "string"
},
"startDate": {
"description": "The start date of the health status.",
"format": "date-time",
"type": "string"
},
"status": {
"description": "Health status.",
"type": "string"
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
}
},
"required": [
"accuracyHealth",
"modelHealth",
"name",
"predictionServer",
"predictionUsage",
"serviceHealth"
],
"type": "object"
},
{
"properties": {
"createdAt": {
"description": "The time when the dataset was created.",
"format": "date-time",
"type": "string"
},
"createdBy": {
"description": "The name of the user who created the dataset.",
"type": "string"
},
"lastModifiedAt": {
"description": "The time of the last modification.",
"format": "date-time",
"type": "string"
},
"lastModifiedBy": {
"description": "The name of the user who did the last modification.",
"type": "string"
},
"name": {
"description": "The name of the dataset.",
"type": "string"
}
},
"required": [
"createdAt",
"createdBy",
"lastModifiedAt",
"lastModifiedBy",
"name"
],
"type": "object"
},
{
"properties": {
"createdAt": {
"description": "The time when the project was created.",
"format": "date-time",
"type": "string"
},
"datasetName": {
"description": "The name of the default dataset.",
"type": "string"
},
"name": {
"description": "The name of the project.",
"type": "string"
},
"numberOfModels": {
"description": "The number of models in the project.",
"type": [
"integer",
"null"
]
},
"owner": {
"description": "The name of the modeling project owner.",
"type": [
"string",
"null"
]
},
"targetName": {
"description": "The name of the modeling target.",
"type": "string"
},
"useCase": {
"description": "Information about the use case that this modeling project is attached to.",
"properties": {
"id": {
"description": "The ID of the use case this modeling project is attached to.",
"type": "string"
},
"name": {
"description": "The name of the use case this modeling project is attached to.",
"type": "string"
}
},
"required": [
"id",
"name"
],
"type": "object"
}
},
"required": [
"createdAt",
"datasetName",
"name",
"numberOfModels",
"owner",
"targetName"
],
"type": "object"
},
{
"properties": {
"createdAt": {
"description": "The time when the custom model was created.",
"format": "date-time",
"type": "string"
},
"modifiedAt": {
"description": "The time of the last modification.",
"format": "date-time",
"type": "string"
},
"name": {
"description": "The name of the custom model.",
"type": "string"
},
"owner": {
"description": "The name of the custom model owner.",
"type": "string"
}
},
"required": [
"createdAt",
"modifiedAt",
"name",
"owner"
],
"type": "object"
},
{
"properties": {
"createdAt": {
"description": "The time when the model package was created.",
"format": "date-time",
"type": "string"
},
"deploymentCount": {
"description": "The number of deployments.",
"type": "integer"
},
"executionType": {
"description": "The type of execution.",
"type": "string"
},
"name": {
"description": "The name of the model package.",
"type": "string"
},
"targetName": {
"description": "The name of the modeling target.",
"type": "string"
},
"targetType": {
"description": "Type of modeling target",
"type": "string"
}
},
"required": [
"createdAt",
"deploymentCount",
"executionType",
"name",
"targetName",
"targetType"
],
"type": "object"
},
{
"properties": {
"appType": {
"description": "The type of the application.",
"type": "string"
},
"createdAt": {
"description": "The time when the application was created.",
"format": "date-time",
"type": "string"
},
"lastModifiedAt": {
"description": "The time of the last modification.",
"format": "date-time",
"type": "string"
},
"name": {
"description": "The name of the application.",
"type": "string"
},
"version": {
"description": "The version string of the app.",
"type": "string"
}
},
"required": [
"appType",
"createdAt",
"lastModifiedAt",
"name",
"version"
],
"type": "object"
},
{
"type": "null"
}
]
},
"type": {
"description": "The value tracker attachment type.",
"enum": [
"dataset",
"modelingProject",
"deployment",
"customModel",
"modelPackage",
"application"
],
"type": "string"
},
"useCaseId": {
"description": "The ID of the ValueTracker.",
"type": "string"
}
},
"required": [
"attachedObjectId",
"canView",
"id",
"isAccessRequested",
"overview",
"type",
"useCaseId"
],
"type": "object"
},
"type": "array"
},
"next": {
"description": "The link to the next page.",
"type": [
"string",
"null"
]
},
"previous": {
"description": "The link to the previous page.",
"type": [
"string",
"null"
]
},
"totalCount": {
"description": "The total number of results available.",
"type": "integer"
}
},
"required": [
"count",
"data",
"next",
"previous",
"totalCount"
],
"type": "object"
}
Responses
Attach the list of resources by value tracker ID
Operation path: POST /api/v2/valueTrackers/{valueTrackerId}/attachments/
Authentication requirements: BearerAuth
Attach the list of resources to this value tracker.
Body parameter
{
"properties": {
"attachedObjects": {
"description": "The array of attachment objects.",
"items": {
"properties": {
"attachedObjectId": {
"description": "The ID of the attached object.",
"type": "string"
},
"type": {
"description": "The value tracker attachment type.",
"enum": [
"dataset",
"modelingProject",
"deployment",
"customModel",
"modelPackage",
"application"
],
"type": "string"
}
},
"required": [
"attachedObjectId",
"type"
],
"type": "object"
},
"type": "array"
}
},
"required": [
"attachedObjects"
],
"type": "object"
}
Parameters
| Name |
In |
Type |
Required |
Description |
| valueTrackerId |
path |
string |
true |
The ID of the ValueTracker. |
| body |
body |
CreateValueTrackerAttachment |
false |
none |
Example responses
201 Response
{
"items": {
"properties": {
"attachedObjectId": {
"description": "The ID of the attached object.",
"type": "string"
},
"type": {
"description": "The value tracker attachment type.",
"enum": [
"dataset",
"modelingProject",
"deployment",
"customModel",
"modelPackage",
"application"
],
"type": "string"
}
},
"required": [
"attachedObjectId",
"type"
],
"type": "object"
},
"type": "array"
}
Responses
| Status |
Meaning |
Description |
Schema |
| 201 |
Created |
none |
Inline |
| 404 |
Not Found |
Use case or object not found or value tracker not writable or object not readable. |
None |
| 422 |
Unprocessable Entity |
The request was formatted improperly. |
None |
Response Schema
Status Code 201
| Name |
Type |
Required |
Restrictions |
Description |
| anonymous |
[ValueTrackerAttachment] |
false |
|
none |
| » attachedObjectId |
string |
true |
|
The ID of the attached object. |
| » type |
string |
true |
|
The value tracker attachment type. |
Enumerated Values
| Property |
Value |
| type |
[dataset, modelingProject, deployment, customModel, modelPackage, application] |
Removes a resource by value tracker ID
Operation path: DELETE /api/v2/valueTrackers/{valueTrackerId}/attachments/{attachmentId}/
Authentication requirements: BearerAuth
Removes a resource from a value tracker.
Parameters
| Name |
In |
Type |
Required |
Description |
| valueTrackerId |
path |
string |
true |
The ID of the ValueTracker. |
| attachmentId |
path |
string |
true |
The ID of the attachment. |
Responses
| Status |
Meaning |
Description |
Schema |
| 204 |
No Content |
none |
None |
| 403 |
Forbidden |
The user does not have permission to remove objects from this value tracker |
None |
| 404 |
Not Found |
Either the value tracker does not exist or the user does not have permissions to view this value tracker. |
None |
| 422 |
Unprocessable Entity |
The request was formatted improperly, or the requested object to delete was not found |
None |
Get a resource that is attached by value tracker ID
Operation path: GET /api/v2/valueTrackers/{valueTrackerId}/attachments/{attachmentId}/
Authentication requirements: BearerAuth
Get a resource that is attached to a value tracker.
Parameters
| Name |
In |
Type |
Required |
Description |
| valueTrackerId |
path |
string |
true |
The ID of the ValueTracker. |
| attachmentId |
path |
string |
true |
The ID of the attachment. |
Example responses
200 Response
{
"properties": {
"attachedObjectId": {
"description": "The ID of the attached object.",
"type": "string"
},
"canView": {
"description": "Indicates if the user has view access to the attached object.",
"type": "boolean"
},
"id": {
"description": "The ID of the ValueTracker.",
"type": "string"
},
"isAccessRequested": {
"description": "Indicates if the user has requested access to the attached object.",
"type": "boolean"
},
"overview": {
"description": "Detailed information depending on the type of the attachment",
"oneOf": [
{
"properties": {
"accuracyHealth": {
"description": "Accuracy related health status.",
"properties": {
"endDate": {
"description": "The end date of the health status.",
"format": "date-time",
"type": "string"
},
"message": {
"description": "Health status related information.",
"type": "string"
},
"startDate": {
"description": "The start date of the health status.",
"format": "date-time",
"type": "string"
},
"status": {
"description": "Health status.",
"type": "string"
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
"modelHealth": {
"description": "Accuracy related health status.",
"properties": {
"endDate": {
"description": "The end date of the health status.",
"format": "date-time",
"type": "string"
},
"message": {
"description": "Health status related information.",
"type": "string"
},
"startDate": {
"description": "The start date of the health status.",
"format": "date-time",
"type": "string"
},
"status": {
"description": "Health status.",
"type": "string"
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
},
"name": {
"description": "The name of the deployment.",
"type": "string"
},
"predictionServer": {
"description": "The name of the prediction server.",
"type": "string"
},
"predictionUsage": {
"description": "The value tracker attachment detail for deployment usage.",
"properties": {
"dailyRates": {
"description": "The list of daily request counts.",
"items": {
"type": "integer"
},
"type": "array"
},
"lastTimestamp": {
"description": "Last prediction time.",
"format": "date-time",
"type": "string"
}
},
"required": [
"dailyRates",
"lastTimestamp"
],
"type": "object"
},
"serviceHealth": {
"description": "Accuracy related health status.",
"properties": {
"endDate": {
"description": "The end date of the health status.",
"format": "date-time",
"type": "string"
},
"message": {
"description": "Health status related information.",
"type": "string"
},
"startDate": {
"description": "The start date of the health status.",
"format": "date-time",
"type": "string"
},
"status": {
"description": "Health status.",
"type": "string"
}
},
"required": [
"endDate",
"message",
"startDate",
"status"
],
"type": "object"
}
},
"required": [
"accuracyHealth",
"modelHealth",
"name",
"predictionServer",
"predictionUsage",
"serviceHealth"
],
"type": "object"
},
{
"properties": {
"createdAt": {
"description": "The time when the dataset was created.",
"format": "date-time",
"type": "string"
},
"createdBy": {
"description": "The name of the user who created the dataset.",
"type": "string"
},
"lastModifiedAt": {
"description": "The time of the last modification.",
"format": "date-time",
"type": "string"
},
"lastModifiedBy": {
"description": "The name of the user who did the last modification.",
"type": "string"
},
"name": {
"description": "The name of the dataset.",
"type": "string"
}
},
"required": [
"createdAt",
"createdBy",
"lastModifiedAt",
"lastModifiedBy",
"name"
],
"type": "object"
},
{
"properties": {
"createdAt": {
"description": "The time when the project was created.",
"format": "date-time",
"type": "string"
},
"datasetName": {
"description": "The name of the default dataset.",
"type": "string"
},
"name": {
"description": "The name of the project.",
"type": "string"
},
"numberOfModels": {
"description": "The number of models in the project.",
"type": [
"integer",
"null"
]
},
"owner": {
"description": "The name of the modeling project owner.",
"type": [
"string",
"null"
]
},
"targetName": {
"description": "The name of the modeling target.",
"type": "string"
},
"useCase": {
"description": "Information about the use case that this modeling project is attached to.",
"properties": {
"id": {
"description": "The ID of the use case this modeling project is attached to.",
"type": "string"
},
"name": {
"description": "The name of the use case this modeling project is attached to.",
"type": "string"
}
},
"required": [
"id",
"name"
],
"type": "object"
}
},
"required": [
"createdAt",
"datasetName",
"name",
"numberOfModels",
"owner",
"targetName"
],
"type": "object"
},
{
"properties": {
"createdAt": {
"description": "The time when the custom model was created.",
"format": "date-time",
"type": "string"
},
"modifiedAt": {
"description": "The time of the last modification.",
"format": "date-time",
"type": "string"
},
"name": {
"description": "The name of the custom model.",
"type": "string"
},
"owner": {
"description": "The name of the custom model owner.",
"type": "string"
}
},
"required": [
"createdAt",
"modifiedAt",
"name",
"owner"
],
"type": "object"
},
{
"properties": {
"createdAt": {
"description": "The time when the model package was created.",
"format": "date-time",
"type": "string"
},
"deploymentCount": {
"description": "The number of deployments.",
"type": "integer"
},
"executionType": {
"description": "The type of execution.",
"type": "string"
},
"name": {
"description": "The name of the model package.",
"type": "string"
},
"targetName": {
"description": "The name of the modeling target.",
"type": "string"
},
"targetType": {
"description": "Type of modeling target",
"type": "string"
}
},
"required": [
"createdAt",
"deploymentCount",
"executionType",
"name",
"targetName",
"targetType"
],
"type": "object"
},
{
"properties": {
"appType": {
"description": "The type of the application.",
"type": "string"
},
"createdAt": {
"description": "The time when the application was created.",
"format": "date-time",
"type": "string"
},
"lastModifiedAt": {
"description": "The time of the last modification.",
"format": "date-time",
"type": "string"
},
"name": {
"description": "The name of the application.",
"type": "string"
},
"version": {
"description": "The version string of the app.",
"type": "string"
}
},
"required": [
"appType",
"createdAt",
"lastModifiedAt",
"name",
"version"
],
"type": "object"
},
{
"type": "null"
}
]
},
"type": {
"description": "The value tracker attachment type.",
"enum": [
"dataset",
"modelingProject",
"deployment",
"customModel",
"modelPackage",
"application"
],
"type": "string"
},
"useCaseId": {
"description": "The ID of the ValueTracker.",
"type": "string"
}
},
"required": [
"attachedObjectId",
"canView",
"id",
"isAccessRequested",
"overview",
"type",
"useCaseId"
],
"type": "object"
}
Responses
| Status |
Meaning |
Description |
Schema |
| 200 |
OK |
none |
ValueTrackerAttachmentResponse |
| 403 |
Forbidden |
The user does not have permission to attach objects to this value tracker |
None |
| 404 |
Not Found |
Either the value tracker does not exist or the user does not have permissions to view this value tracker. |
None |
| 422 |
Unprocessable Entity |
The request was formatted improperly, or the requested object to attach was not found |
None |
Operation path: GET /api/v2/valueTrackers/{valueTrackerId}/realizedValueOverTime/
Authentication requirements: BearerAuth
Retrieve realized value information for a given value tracker over a period of time.
Parameters
| Name |
In |
Type |
Required |
Description |
| start |
query |
string,null(date-time) |
false |
Start of the period to retrieve monitoring data, defaults to 7 days ago from the end of the period. Note: this field only accepts top of the hour RFC3339 datetime strings, for example: 2019-08-01T00:00:00Z. |
| end |
query |
string,null(date-time) |
false |
End of the period to retrieve monitoring data, defaults to the next top of the hour. Note: this field only accepts top of the hour RFC3339 datetime strings, for example: 2019-08-01T00:00:00Z. |
| bucketSize |
query |
string(duration) |
false |
The time duration of a bucket. Needs to be multiple of one hour. Can not be longer than the total length of the period. If not set, a default value will be calculated based on the start and end time. |
| valueTrackerId |
path |
string |
true |
The ID of the class ValueTracker |
Example responses
200 Response
{
"properties": {
"buckets": {
"description": "An array of `bucket` objects representing prediction totals and realized value over time",
"items": {
"properties": {
"period": {
"description": "A `period` object describing the time this bucket covers",
"properties": {
"end": {
"description": "RFC3339 datetime. End of time period to retrieve.",
"format": "date-time",
"type": "string"
},
"start": {
"description": "RFC3339 datetime. Start of time period to retrieve.",
"format": "date-time",
"type": "string"
}
},
"required": [
"end",
"start"
],
"type": "object"
},
"predictionsCount": {
"description": "Total number of predictions that happened in this bucket",
"type": "integer"
},
"realizedValue": {
"description": "Total amount of value realised during this bucket",
"type": "integer"
}
},
"required": [
"period",
"predictionsCount"
],
"type": "object"
},
"type": "array"
},
"previousTimeRangeSummary": {
"description": "A `summary` object covering the time range before the given one with the same duration",
"properties": {
"averagePredictionsCount": {
"description": "Average number of predictions per bucket during this time period",
"type": "integer"
},
"averageRealizedValue": {
"description": "Average amount of value per bucket realised during this time period",
"type": "integer"
},
"period": {
"description": "A `period` object describing the time this bucket covers",
"properties": {
"end": {
"description": "RFC3339 datetime. End of time period to retrieve.",
"format": "date-time",
"type": "string"
},
"start": {
"description": "RFC3339 datetime. Start of time period to retrieve.",
"format": "date-time",
"type": "string"
}
},
"required": [
"end",
"start"
],
"type": "object"
},
"totalPredictionsCount": {
"description": "Total number of predictions that happened during this time period",
"type": "integer"
},
"totalRealizedValue": {
"description": "Total amount of value realised during this time period",
"type": "integer"
}
},
"required": [
"averagePredictionsCount",
"period",
"totalRealizedValue"
],
"type": "object"
},
"summary": {
"description": "A `summary` object covering the time range before the given one with the same duration",
"properties": {
"averagePredictionsCount": {
"description": "Average number of predictions per bucket during this time period",
"type": "integer"
},
"averageRealizedValue": {
"description": "Average amount of value per bucket realised during this time period",
"type": "integer"
},
"period": {
"description": "A `period` object describing the time this bucket covers",
"properties": {
"end": {
"description": "RFC3339 datetime. End of time period to retrieve.",
"format": "date-time",
"type": "string"
},
"start": {
"description": "RFC3339 datetime. Start of time period to retrieve.",
"format": "date-time",
"type": "string"
}
},
"required": [
"end",
"start"
],
"type": "object"
},
"totalPredictionsCount": {
"description": "Total number of predictions that happened during this time period",
"type": "integer"
},
"totalRealizedValue": {
"description": "Total amount of value realised during this time period",
"type": "integer"
}
},
"required": [
"averagePredictionsCount",
"period",
"totalRealizedValue"
],
"type": "object"
}
},
"required": [
"buckets",
"previousTimeRangeSummary",
"summary"
],
"type": "object"
}
Responses
Get the list of users, groups and organizations that have access by value tracker ID
Operation path: GET /api/v2/valueTrackers/{valueTrackerId}/sharedRoles/
Authentication requirements: BearerAuth
Get the list of users, groups and organizations that have access to this value tracker.
| Name |
In |
Type |
Required |
Description |
| id |
query |
string |
false |
Only return roles for a user, group or organization with this identifier. |
| offset |
query |
integer |
true |
This many results will be skipped |
| limit |
query |
integer |
true |
At most this many results are returned |
| name |
query |
string |
false |
Only return roles for a user, group or organization with this name. |
| shareRecipientType |
query |
string |
false |
The list of access controls for recipients with this type. |
| valueTrackerId |
path |
string |
true |
The ID of the class ValueTracker |
Enumerated Values
| Parameter |
Value |
| shareRecipientType |
[user, group, organization] |
Example responses
200 Response
{
"properties": {
"count": {
"description": "The number of items returned on this page.",
"type": "integer"
},
"data": {
"description": "A list of sharing role objects",
"items": {
"properties": {
"id": {
"description": "The ID of the recipient",
"type": "string"
},
"name": {
"description": "The name of the user, group, or organization",
"type": "string"
},
"role": {
"description": "The assigned role",
"enum": [
"OWNER",
"USER",
"CONSUMER",
"NO_ROLE"
],
"type": "string"
},
"shareRecipientType": {
"description": "The recipient type",
"enum": [
"user",
"group",
"organization"
],
"type": "string"
}
},
"required": [
"id",
"role",
"shareRecipientType"
],
"type": "object"
},
"type": "array"
},
"next": {
"description": "URL pointing to the next page (if null, there is no next page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"previous": {
"description": "URL pointing to the previous page (if null, there is no previous page).",
"format": "uri",
"type": [
"string",
"null"
]
},
"totalCount": {
"description": "The number of items matching the query condition.",
"type": "integer"
}
},
"required": [
"count",
"data",
"next",
"previous",
"totalCount"
],
"type": "object"
}
Responses
Share a value tracker by value tracker ID
Operation path: PATCH /api/v2/valueTrackers/{valueTrackerId}/sharedRoles/
Authentication requirements: BearerAuth
Share a value tracker with a user, group or organization.
Body parameter
{
"properties": {
"operation": {
"description": "The name of the action being taken. Only 'updateRoles' is supported.",
"enum": [
"updateRoles"
],
"type": "string"
},
"roles": {
"description": "A list of sharing role objects",
"items": {
"properties": {
"id": {
"description": "The ID of the recipient",
"type": "string"
},
"role": {
"description": "The assigned role",
"enum": [
"OWNER",
"USER",
"CONSUMER",
"NO_ROLE"
],
"type": "string"
},
"shareRecipientType": {
"description": "The recipient type",
"enum": [
"user",
"group",
"organization"
],
"type": "string"
},
"username": {
"description": "The name of the user, group, or organization",
"type": "string"
}
},
"required": [
"role",
"shareRecipientType"
],
"type": "object"
},
"type": "array"
}
},
"required": [
"operation",
"roles"
],
"type": "object"
}
| Name |
In |
Type |
Required |
Description |
| valueTrackerId |
path |
string |
true |
The ID of the class ValueTracker |
| body |
body |
ValueTrackerSharingUpdate |
false |
none |
Responses
| Status |
Meaning |
Description |
Schema |
| 200 |
OK |
none |
None |
| 204 |
No Content |
The roles were updated successfully. |
None |
| 422 |
Unprocessable Entity |
The request was formatted improperly. |
None |
Schemas
{
"properties": {
"content": {
"description": "Content of the comment, 10000 symbols max",
"maxLength": 10000,
"type": "string"
},
"entityId": {
"description": "ID of the entity to post the comment to",
"type": "string"
},
"entityType": {
"description": "Type of the entity to post the comment to, currently only useCase is supported",
"enum": [
"useCase",
"model",
"catalog",
"experimentContainer",
"deployment",
"workloadDeployment"
],
"type": "string"
},
"mentions": {
"description": "A list of users IDs mentioned in the content",
"items": {
"type": "string"
},
"maxItems": 100,
"type": "array"
}
},
"required": [
"content",
"entityId",
"entityType"
],
"type": "object"
}
Properties
| Name |
Type |
Required |
Restrictions |
Description |
| content |
string |
true |
maxLength: 10000
|
Content of the comment, 10000 symbols max |
| entityId |
string |
true |
|
ID of the entity to post the comment to |
| entityType |
string |
true |
|
Type of the entity to post the comment to, currently only useCase is supported |
| mentions |
[string] |
false |
maxItems: 100
|
A list of users IDs mentioned in the content |
Enumerated Values
| Property |
Value |
| entityType |
[...]
